Subject: Re: Instructions for Submitting Input to the IETF MeetingProceedings

From: Aaron Falk <[email-masked]>
Date: Fri, 12 Dec 2003 13:15:05 -0800

I was just reviewing this thread before submitting my minutes for the 
proceedings and I have to say, Harald, I find your argument here 
unpersuasive.  In my mind, readability trumps accessibility.  Losing 
the formatting of the plain text usually, in my experience, makes the 
minutes much less readable while 80 column text is accessible from most 
clients, albeit somewhat inconveniently from, e.g., handhelds.   Also, 
what is different about IETF proceedings that makes html preferable for 
them while all other IETF documents are plain text?

--aaron

On Nov 25, 2003, at 11:53 AM, Harald Tveit Alvestrand wrote:

> --On 25. november 2003 10:48 -0800 Tom Pusateri <[email-masked]> 
> wrote:
>
>> Since browsers render plain text just fine, what is the motivation for
>> converting lovely plain text documents into html?
>
> Accessibility.
>
> The main format for the minutes these days are the web pages on the 
> IETF website.
>
> The minutes are rendered in browsers on a multitude of platforms. 
> HTML-formatted text (paragraph breaks rather than hard line breaks at 
> the 80-character boundary) actually displays better when the 
> characteristics of the platform change.
>
> Note: That's the generic argument for converting. It isn't an argument 
> for the format that was followed in the Vienna minutes, where the 
> plain text formatting seems to have been preserved.
>
>                   Harald
>
>
>

---

From: "T.J. Kniveton" <[email-masked]>
Date: Fri, 12 Dec 2003 14:11:34 -0800

> >> converting lovely plain text documents into html?

How exactly is an HTML document more accessible than a text file? HTML simply
allows you to do markups (formatting) and add links. Not necessary in minutes.

> > The main format for the minutes these days are the web pages on the

Doesn't mean that text files can't co-exist with HTML docs.

> > characteristics of the platform change.

There is no requirement that a text file have line breaks at the 80-character
boundaries. The author can make the lines as long as they want, and the browser
will reformat it to fit the window width -- just like HTML.

-- 
        T.J. Kniveton 
   Communication Systems Lab
     Nokia Research Center

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 12 Dec 2003 15:05:20 -0800

your experience with text files is not the same as mine, to put it 
mildly.....

--On 12. desember 2003 14:11 -0800 "T.J. Kniveton" <[email-masked]> wrote:

> There is no requirement that a text file have line breaks at the
> 80-character boundaries. The author can make the lines as long as they
> want, and the browser will reformat it to fit the window width -- just
> like HTML.

---

From: "T.J. Kniveton" <[email-masked]>
Date: Fri, 12 Dec 2003 15:22:55 -0800 (PST)

>> want, and the browser will reformat it to fit the window width -- just

Oops, you're right.. for .txt files most browsers do not do line-wrapping.
But some do. Lynx, for example. :)

Is line wrapping the main reason not to allow text files?

TJ

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 12 Dec 2003 20:41:52 -0800

> Is line wrapping the main reason not to allow text files?

Text files are allowed, and always have been.
Most people make them in forms that have hard line breaks at < 80 chars.

But text files will be reformatted by the secretariat. Some people thought 
the result did not look good; they were told that they could submit HTML, 
which contains markup at a little bit more abstract level.